## hwdata 0.12

=== Makefile ===
VERSION=$(shell awk '/Version:/ { print $$2 }' hwdata.spec)

prefix=$(DESTDIR)/usr
sysconfdir=$(DESTDIR)/etc
bindir=$(prefix)/bin
sbindir=$(prefix)/sbin
datadir=$(prefix)/share
mandir=$(datadir)/man
includedir=$(prefix)/include
libdir=$(prefix)/lib

CVSROOT = $(shell cat CVS/Root 2>/dev/null || :)

CVSTAG = hwdata-r$(subst .,-,$(VERSION))

FILES = CardMonitorCombos Cards MonitorsDB pci.ids pcitable upgradelist usb.ids

all: 

install:
	mkdir -p $(datadir)/hwdata
	for foo in $(FILES) ; do \
		install -m 644 $$foo $(datadir)/hwdata ;\
	done
	mkdir -p $(prefix)/X11R6/lib/X11
	ln -s ../../../share/hwdata/Cards $(prefix)/X11R6/lib/X11/Cards
	
tag-archive:
	@cvs -Q tag -F $(CVSTAG)

create-archive:
	@rm -rf /tmp/hwdata
	@cd /tmp ; cvs -d $(CVSROOT) export -r$(CVSTAG) hwdata || echo "Um... export aborted."
	@mv /tmp/hwdata /tmp/hwdata-$(VERSION)
	@cd /tmp ; tar -czSpf hwdata-$(VERSION).tar.gz hwdata-$(VERSION)
	@rm -rf /tmp/hwdata-$(VERSION)
	@cp /tmp/hwdata-$(VERSION).tar.gz .
	@rm -f /tmp/hwdata-$(VERSION).tar.gz
	@echo ""
	@echo "The final archive is in hwdata-$(VERSION).tar.gz"

archive: clean tag-archive create-archive

clean:

dummy:

srpm-x:
	@echo Creating hwdata src.rpm
	@mkdir -p $(HOME)/rpmbuild/hwdata-$(VERSION)
	@mv hwdata-$(VERSION).tar.bz2 $(HOME)/rpmbuild/hwdata-$(VERSION)/
	@cp hwdata.spec $(HOME)/rpmbuild/hwdata-$(VERSION)/
	@pushd $(HOME)/rpmbuild/hwdata-$(VERSION) &> /dev/null ; rpm --nodeps -bs hwdata.spec ; popd &> /dev/null
	@echo SRPM is: $(HOME)/rpmbuild/SRPMS/hwdata-$(VERSION)-$(RELEASE).src.rpm

## hwdata 0.120

=== Makefile ===
NAME=$(shell awk '/Name:/ { print $$2 }' hwdata.spec)
VERSION=$(shell awk '/Version:/ { print $$2 }' hwdata.spec)
RELEASE=$(shell awk '/Release:/ { print $$2 }' hwdata.spec)

prefix=$(DESTDIR)/usr
sysconfdir=$(DESTDIR)/etc
bindir=$(prefix)/bin
sbindir=$(prefix)/sbin
datadir=$(prefix)/share
mandir=$(datadir)/man
includedir=$(prefix)/include
libdir=$(prefix)/lib

CC=gcc
CFLAGS=$(RPM_OPT_FLAGS) -g

CVSROOT = $(shell cat CVS/Root 2>/dev/null || :)

CVSTAG = $(NAME)-r$(subst .,-,$(VERSION))

FILES = CardMonitorCombos Cards MonitorsDB pci.ids pcitable upgradelist usb.ids

all: 

install:
	mkdir -p -m 755 $(datadir)/$(NAME)
	for foo in $(FILES) ; do \
		install -m 644 $$foo $(datadir)/$(NAME) ;\
	done
	mkdir -p -m 755 $(prefix)/X11R6/lib/X11
	ln -s ../../../share/$(NAME)/Cards $(prefix)/X11R6/lib/X11/Cards
	mkdir -p -m 755 $(sysconfdir)/pcmcia
	install -m 644 config $(sysconfdir)/pcmcia
	install -m 644 updfstab.conf $(sysconfdir)/updfstab.conf
	install -m 644 updfstab.conf.default $(sysconfdir)/updfstab.conf.default
	
	
tag-archive:
	@cvs -Q tag $(CVSTAG)

pcilint: pcilint.c
	$(CC) $(CFLAGS) -o pcilint pcilint.c

check: pcilint
	[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null
	./pcilint
	./check-cards

create-archive:
	@rm -rf /tmp/$(NAME)
	@cd /tmp ; cvs -Q -d $(CVSROOT) export -r$(CVSTAG) $(NAME) || echo "Um... export aborted."
	@mv /tmp/$(NAME) /tmp/$(NAME)-$(VERSION)
	@cd /tmp ; tar -czSpf $(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION)
	@rm -rf /tmp/$(NAME)-$(VERSION)
	@cp /tmp/$(NAME)-$(VERSION).tar.gz .
	@rm -f /tmp/$(NAME)-$(VERSION).tar.gz
	@echo ""
	@echo "The final archive is in $(NAME)-$(VERSION).tar.gz"

archive: check clean tag-archive create-archive

dummy:

srpm-x:
	@echo Creating $(NAME) src.rpm
	@mkdir -p $(HOME)/rpmbuild/$(NAME)-$(VERSION)
	@mv $(NAME)-$(VERSION).tar.* $(HOME)/rpmbuild/$(NAME)-$(VERSION)/
	@cp $(NAME).spec $(HOME)/rpmbuild/$(NAME)-$(VERSION)/
	@pushd $(HOME)/rpmbuild/$(NAME)-$(VERSION) &> /dev/null ; rpm --nodeps -bs $(NAME).spec ; popd &> /dev/null
	@echo SRPM is: $(HOME)/rpmbuild/SRPMS/$(NAME)-$(VERSION)-$(RELEASE).src.rpm
	
clean:
	@rm -f $(NAME)-*.gz
	@rm -f pcilint

## hwdata 0.148

=== Makefile ===
--- 
+++ 
@@ -31,12 +31,14 @@
 	ln -s ../../../share/$(NAME)/Cards $(prefix)/X11R6/lib/X11/Cards
 	mkdir -p -m 755 $(sysconfdir)/pcmcia
 	install -m 644 config $(sysconfdir)/pcmcia
-	install -m 644 updfstab.conf $(sysconfdir)/updfstab.conf
-	install -m 644 updfstab.conf.default $(sysconfdir)/updfstab.conf.default
-	
-	
-tag-archive:
+	mkdir -p -m 755 $(sysconfdir)/hotplug/
+	install -m 644 blacklist $(sysconfdir)/hotplug/
+
+tag:
 	@cvs -Q tag $(CVSTAG)
+
+force-tag:
+	@cvs -Q tag -F $(CVSTAG)
 
 pcilint: pcilint.c
 	$(CC) $(CFLAGS) -o pcilint pcilint.c
@@ -45,6 +47,7 @@
 	[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null
 	./pcilint
 	./check-cards
+	./check-pci-ids.py
 
 create-archive:
 	@rm -rf /tmp/$(NAME)
@@ -57,7 +60,7 @@
 	@echo ""
 	@echo "The final archive is in $(NAME)-$(VERSION).tar.gz"
 
-archive: check clean tag-archive create-archive
+archive: check clean tag create-archive
 
 dummy:
 
@@ -66,10 +69,10 @@
 	@mkdir -p $(HOME)/rpmbuild/$(NAME)-$(VERSION)
 	@mv $(NAME)-$(VERSION).tar.* $(HOME)/rpmbuild/$(NAME)-$(VERSION)/
 	@cp $(NAME).spec $(HOME)/rpmbuild/$(NAME)-$(VERSION)/
-	@pushd $(HOME)/rpmbuild/$(NAME)-$(VERSION) &> /dev/null ; rpm --nodeps -bs $(NAME).spec ; popd &> /dev/null
+	@pushd $(HOME)/rpmbuild/$(NAME)-$(VERSION) &> /dev/null ; rpmbuild --nodeps -bs $(NAME).spec ; popd &> /dev/null
 	@echo SRPM is: $(HOME)/rpmbuild/SRPMS/$(NAME)-$(VERSION)-$(RELEASE).src.rpm
-	
+
 clean:
 	@rm -f $(NAME)-*.gz
 	@rm -f pcilint
-	
+

## hwdata 0.172

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 CVSTAG = $(NAME)-r$(subst .,-,$(VERSION))
 
-FILES = CardMonitorCombos Cards MonitorsDB pci.ids pcitable upgradelist usb.ids
+FILES = MonitorsDB pci.ids upgradelist usb.ids videodrivers
 
 all: 
 
@@ -27,12 +27,10 @@
 	for foo in $(FILES) ; do \
 		install -m 644 $$foo $(datadir)/$(NAME) ;\
 	done
-	mkdir -p -m 755 $(prefix)/X11R6/lib/X11
-	ln -s ../../../share/$(NAME)/Cards $(prefix)/X11R6/lib/X11/Cards
-	mkdir -p -m 755 $(sysconfdir)/pcmcia
-	install -m 644 config $(sysconfdir)/pcmcia
-	mkdir -p -m 755 $(sysconfdir)/hotplug/
-	install -m 644 blacklist $(sysconfdir)/hotplug/
+	mkdir -p -m 755 $(datadir)/$(NAME)/videoaliases
+	install -m 644 videoaliases $(datadir)/$(NAME)/videoaliases/stock
+	mkdir -p -m 755 $(sysconfdir)/modprobe.d
+	install -m 644 blacklist $(sysconfdir)/modprobe.d
 
 tag:
 	@cvs -Q tag $(CVSTAG)
@@ -40,13 +38,8 @@
 force-tag:
 	@cvs -Q tag -F $(CVSTAG)
 
-pcilint: pcilint.c
-	$(CC) $(CFLAGS) -o pcilint pcilint.c
-
-check: pcilint
+check:
 	[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null
-	./pcilint
-	./check-cards
 	./check-pci-ids.py
 
 create-archive:
@@ -74,5 +67,4 @@
 
 clean:
 	@rm -f $(NAME)-*.gz
-	@rm -f pcilint

## hwdata 0.191

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,6 @@
 		install -m 644 $$foo $(datadir)/$(NAME) ;\
 	done
 	mkdir -p -m 755 $(datadir)/$(NAME)/videoaliases
-	install -m 644 videoaliases $(datadir)/$(NAME)/videoaliases/stock
 	mkdir -p -m 755 $(sysconfdir)/modprobe.d
 	install -m 644 blacklist $(sysconfdir)/modprobe.d

## hwdata 0.200

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 NAME=$(shell awk '/Name:/ { print $$2 }' hwdata.spec)
 VERSION=$(shell awk '/Version:/ { print $$2 }' hwdata.spec)
-RELEASE=$(shell awk '/Release:/ { print $$2 }' hwdata.spec)
+RELEASE=$(shell awk '/Release:/ { a=$$2; sub("%.*","",a); print a }' hwdata.spec)
+SOURCEDIR := $(shell pwd)
 
 prefix=$(DESTDIR)/usr
 sysconfdir=$(DESTDIR)/etc
@@ -40,6 +41,8 @@
 check:
 	[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null
 	./check-pci-ids.py
+	@: videodrivers is tab-separated
+	[ `grep -vc '	' videodrivers` -eq 0 ]
 
 create-archive:
 	@rm -rf /tmp/$(NAME)
@@ -56,14 +59,13 @@
 
 dummy:
 
-srpm-x:
+srpm-x: create-archive
 	@echo Creating $(NAME) src.rpm
-	@mkdir -p $(HOME)/rpmbuild/$(NAME)-$(VERSION)
-	@mv $(NAME)-$(VERSION).tar.* $(HOME)/rpmbuild/$(NAME)-$(VERSION)/
-	@cp $(NAME).spec $(HOME)/rpmbuild/$(NAME)-$(VERSION)/
-	@pushd $(HOME)/rpmbuild/$(NAME)-$(VERSION) &> /dev/null ; rpmbuild --nodeps -bs $(NAME).spec ; popd &> /dev/null
-	@echo SRPM is: $(HOME)/rpmbuild/SRPMS/$(NAME)-$(VERSION)-$(RELEASE).src.rpm
+	@rpmbuild --nodeps -bs --define "_sourcedir $(SOURCEDIR)" --define "_srcrpmdir $(SOURCEDIR)" $(NAME).spec
+	@echo SRPM is: $(NAME)-$(VERSION)-$(RELEASE).src.rpm
 
 clean:
-	@rm -f $(NAME)-*.gz
+	@rm -f $(NAME)-*.gz $(NAME)-*.src.rpm
 
+clog: hwdata.spec
+	@sed -n '/^%changelog/,/^$$/{/^%/d;/^$$/d;s/%%/%/g;p}' $< | tee $@

## hwdata 0.220

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,9 @@
 
 CVSTAG = $(NAME)-r$(subst .,-,$(VERSION))
 
-FILES = MonitorsDB pci.ids upgradelist usb.ids videodrivers
+FILES = MonitorsDB pci.ids upgradelist usb.ids videodrivers oui.txt
+
+.PHONY: all install tag force-tag check create-archive archive srpm-x clean clog new-pci-ids new-usb-ids
 
 all: 
 
@@ -33,27 +35,34 @@
 	install -m 644 blacklist $(sysconfdir)/modprobe.d
 
 tag:
-	@cvs -Q tag $(CVSTAG)
+	@git tag -a -m "Tag as $(NAME)-$(VERSION)-$(RELEASE)" $(NAME)-$(VERSION)-$(RELEASE)
+	@echo "Tagged as $(NAME)-$(VERSION)-$(RELEASE)"
 
 force-tag:
-	@cvs -Q tag -F $(CVSTAG)
+	@git tag -f $(NAME)-$(VERSION)-$(RELEASE)
+	@echo "Tag forced as $(NAME)-$(VERSION)-$(RELEASE)"
+
+changelog:
+	@rm -f ChangeLog
+	@(GIT_DIR=.git git-log > .changelog.tmp && mv .changelog.tmp ChangeLog || rm -f .changelog.tmp) || (touch ChangeLog; echo 'git directory not found: installing possibly empty changelog.' >&2)
 
 check:
-	[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null
-	./check-pci-ids.py
+	@[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null || { echo "FAILURE: /sbin/lspci -i pci.ids"; exit 1; } && echo "OK: /sbin/lspci -i pci.ids"
+	@./check-pci-ids.py || { echo "FAILURE: ./check-pci-ids.py"; exit 1; } && echo "OK: ./check-pci-ids.py"
 	@: videodrivers is tab-separated
-	[ `grep -vc '	' videodrivers` -eq 0 ]
+	@[ `grep -vc '	' videodrivers` -eq 0 ] || { echo "FAILURE: videodrivers not TAB separated"; exit 1; } && echo "OK: videodrivers"
 
 create-archive:
-	@rm -rf /tmp/$(NAME)
-	@cd /tmp ; cvs -Q -d $(CVSROOT) export -r$(CVSTAG) $(NAME) || echo "Um... export aborted."
-	@mv /tmp/$(NAME) /tmp/$(NAME)-$(VERSION)
-	@cd /tmp ; tar -czSpf $(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION)
-	@rm -rf /tmp/$(NAME)-$(VERSION)
-	@cp /tmp/$(NAME)-$(VERSION).tar.gz .
-	@rm -f /tmp/$(NAME)-$(VERSION).tar.gz
+	@rm -rf $(NAME)-$(VERSION) $(NAME)-$(VERSION).tar*  2>/dev/null
+	@make changelog
+	@git-archive --format=tar --prefix=$(NAME)-$(VERSION)/ HEAD > $(NAME)-$(VERSION).tar
+	@mkdir $(NAME)-$(VERSION)
+	@cp ChangeLog $(NAME)-$(VERSION)/
+	@tar --append -f $(NAME)-$(VERSION).tar $(NAME)-$(VERSION)
+	@bzip2 -f $(NAME)-$(VERSION).tar
+	@rm -rf $(NAME)-$(VERSION)
 	@echo ""
-	@echo "The final archive is in $(NAME)-$(VERSION).tar.gz"
+	@echo "The final archive is in $(NAME)-$(VERSION).tar.bz2"
 
 archive: check clean tag create-archive
 
@@ -69,3 +78,14 @@
 
 clog: hwdata.spec
 	@sed -n '/^%changelog/,/^$$/{/^%/d;/^$$/d;s/%%/%/g;p}' $< | tee $@
+
+download: new-usb-ids new-pci-ids new-oui.txt
+
+new-usb-ids:
+	@curl -O http://www.linux-usb.org/usb.ids
+
+new-pci-ids:
+	@curl -O http://pciids.sourceforge.net/pci.ids
+
+new-oui.txt:
+	@curl -O http://standards.ieee.org/regauth/oui/oui.txt

## hwdata 0.230

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 CVSTAG = $(NAME)-r$(subst .,-,$(VERSION))
 
-FILES = MonitorsDB pci.ids upgradelist usb.ids videodrivers oui.txt
+FILES = MonitorsDB pci.ids upgradelist usb.ids videodrivers oui.txt pnp.ids
 
 .PHONY: all install tag force-tag check create-archive archive srpm-x clean clog new-pci-ids new-usb-ids
 
@@ -32,7 +32,7 @@
 	done
 	mkdir -p -m 755 $(datadir)/$(NAME)/videoaliases
 	mkdir -p -m 755 $(sysconfdir)/modprobe.d
-	install -m 644 blacklist $(sysconfdir)/modprobe.d
+	install -m 644 blacklist.conf $(sysconfdir)/modprobe.d
 
 tag:
 	@git tag -a -m "Tag as $(NAME)-$(VERSION)-$(RELEASE)" $(NAME)-$(VERSION)-$(RELEASE)
@@ -44,7 +44,7 @@
 
 changelog:
 	@rm -f ChangeLog
-	@(GIT_DIR=.git git-log > .changelog.tmp && mv .changelog.tmp ChangeLog || rm -f .changelog.tmp) || (touch ChangeLog; echo 'git directory not found: installing possibly empty changelog.' >&2)
+	@(GIT_DIR=.git git log > .changelog.tmp && mv .changelog.tmp ChangeLog || rm -f .changelog.tmp) || (touch ChangeLog; echo 'git directory not found: installing possibly empty changelog.' >&2)
 
 check:
 	@[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null || { echo "FAILURE: /sbin/lspci -i pci.ids"; exit 1; } && echo "OK: /sbin/lspci -i pci.ids"
@@ -55,7 +55,7 @@
 create-archive:
 	@rm -rf $(NAME)-$(VERSION) $(NAME)-$(VERSION).tar*  2>/dev/null
 	@make changelog
-	@git-archive --format=tar --prefix=$(NAME)-$(VERSION)/ HEAD > $(NAME)-$(VERSION).tar
+	@git archive --format=tar --prefix=$(NAME)-$(VERSION)/ HEAD > $(NAME)-$(VERSION).tar
 	@mkdir $(NAME)-$(VERSION)
 	@cp ChangeLog $(NAME)-$(VERSION)/
 	@tar --append -f $(NAME)-$(VERSION).tar $(NAME)-$(VERSION)
@@ -65,6 +65,9 @@
 	@echo "The final archive is in $(NAME)-$(VERSION).tar.bz2"
 
 archive: check clean tag create-archive
+
+upload:
+	@scp ${NAME}-$(VERSION).tar.bz2 fedorahosted.org:$(NAME)
 
 dummy:

## hwdata 0.233

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 NAME=$(shell awk '/Name:/ { print $$2 }' hwdata.spec)
 VERSION=$(shell awk '/Version:/ { print $$2 }' hwdata.spec)
-RELEASE=$(shell awk '/Release:/ { a=$$2; sub("%.*","",a); print a }' hwdata.spec)
+RELEASE=$(shell rpm -q --specfile --qf "%{release}" hwdata.spec)
 SOURCEDIR := $(shell pwd)
 
 prefix=$(DESTDIR)/usr
@@ -21,7 +21,7 @@
 
 FILES = MonitorsDB pci.ids upgradelist usb.ids videodrivers oui.txt pnp.ids
 
-.PHONY: all install tag force-tag check create-archive archive srpm-x clean clog new-pci-ids new-usb-ids
+.PHONY: all install tag force-tag check commit create-archive archive srpm-x clean clog new-pci-ids new-usb-ids
 
 all: 
 
@@ -33,6 +33,9 @@
 	mkdir -p -m 755 $(datadir)/$(NAME)/videoaliases
 	mkdir -p -m 755 $(sysconfdir)/modprobe.d
 	install -m 644 blacklist.conf $(sysconfdir)/modprobe.d
+
+commit:
+	git commit -a ||:
 
 tag:
 	@git tag -a -m "Tag as $(NAME)-$(VERSION)-$(RELEASE)" $(NAME)-$(VERSION)-$(RELEASE)
@@ -53,21 +56,21 @@
 	@[ `grep -vc '	' videodrivers` -eq 0 ] || { echo "FAILURE: videodrivers not TAB separated"; exit 1; } && echo "OK: videodrivers"
 
 create-archive:
-	@rm -rf $(NAME)-$(VERSION) $(NAME)-$(VERSION).tar*  2>/dev/null
+	@rm -rf $(NAME)-$(VERSION) $(NAME)-$(VERSION)-$(RELEASE).tar*  2>/dev/null
 	@make changelog
-	@git archive --format=tar --prefix=$(NAME)-$(VERSION)/ HEAD > $(NAME)-$(VERSION).tar
+	@git archive --format=tar --prefix=$(NAME)-$(VERSION)/ HEAD > $(NAME)-$(VERSION)-$(RELEASE).tar
 	@mkdir $(NAME)-$(VERSION)
 	@cp ChangeLog $(NAME)-$(VERSION)/
-	@tar --append -f $(NAME)-$(VERSION).tar $(NAME)-$(VERSION)
-	@bzip2 -f $(NAME)-$(VERSION).tar
+	@tar --append -f $(NAME)-$(VERSION)-$(RELEASE).tar $(NAME)-$(VERSION)
+	@bzip2 -f $(NAME)-$(VERSION)-$(RELEASE).tar
 	@rm -rf $(NAME)-$(VERSION)
 	@echo ""
-	@echo "The final archive is in $(NAME)-$(VERSION).tar.bz2"
+	@echo "The final archive is in $(NAME)-$(VERSION)-$(RELEASE).tar.bz2"
 
-archive: check clean tag create-archive
+archive: check clean commit tag create-archive
 
 upload:
-	@scp ${NAME}-$(VERSION).tar.bz2 fedorahosted.org:$(NAME)
+	@scp ${NAME}-$(VERSION)-$(RELEASE).tar.bz2 fedorahosted.org:$(NAME)
 
 dummy:
 
@@ -91,4 +94,4 @@
 	@curl -O http://pciids.sourceforge.net/pci.ids
 
 new-oui.txt:
-	@curl -O http://standards.ieee.org/regauth/oui/oui.txt
+	@curl -O http://standards.ieee.org/develop/regauth/oui/oui.txt

## hwdata 0.234

=== Makefile ===
--- 
+++ 
@@ -52,6 +52,8 @@
 check:
 	@[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null || { echo "FAILURE: /sbin/lspci -i pci.ids"; exit 1; } && echo "OK: /sbin/lspci -i pci.ids"
 	@./check-pci-ids.py || { echo "FAILURE: ./check-pci-ids.py"; exit 1; } && echo "OK: ./check-pci-ids.py"
+	@echo -n "CHECK date of pci.ids: "; grep "Date:" pci.ids | cut -d ' ' -f 5
+	@echo -n "CHECK date of usb.ids: "; grep "Date:" usb.ids | cut -d ' ' -f 6
 	@: videodrivers is tab-separated
 	@[ `grep -vc '	' videodrivers` -eq 0 ] || { echo "FAILURE: videodrivers not TAB separated"; exit 1; } && echo "OK: videodrivers"

## hwdata 0.249

=== Makefile ===
NAME=hwdata
VERSION=$(shell awk '/Version:/ { print $$2 }' hwdata.spec)
RELEASE=$(shell rpm -q --define 'dist %{nil}' --specfile --qf "%{release}" hwdata.spec)
SOURCEDIR := $(shell pwd)

include Makefile.inc

CVSROOT = $(shell cat CVS/Root 2>/dev/null || :)

CVSTAG = $(NAME)-r$(subst .,-,$(VERSION))

FILES = pci.ids usb.ids oui.txt pnp.ids

.PHONY: all install tag force-tag check commit create-archive archive srpm-x \
    clean clog new-pci-ids new-usb-ids new-pnp-ids

all: 

install:
	mkdir -p -m 755 $(DESTDIR)$(datadir)/$(NAME)
	for foo in $(FILES) ; do \
		install -m 644 $$foo $(DESTDIR)$(datadir)/$(NAME) ;\
	done
	mkdir -p -m 755 $(DESTDIR)$(prefix)/lib/modprobe.d
	install -m 644 -T blacklist.conf $(DESTDIR)$(prefix)/lib/modprobe.d/dist-blacklist.conf

commit:
	git commit -a ||:

tag:
	@git tag -a -m "Tag as $(NAME)-$(VERSION)-$(RELEASE)" $(NAME)-$(VERSION)-$(RELEASE)
	@echo "Tagged as $(NAME)-$(VERSION)-$(RELEASE)"

force-tag:
	@git tag -f $(NAME)-$(VERSION)-$(RELEASE)
	@echo "Tag forced as $(NAME)-$(VERSION)-$(RELEASE)"

changelog:
	@rm -f ChangeLog
	@(GIT_DIR=.git git log > .changelog.tmp && mv .changelog.tmp ChangeLog || rm -f .changelog.tmp) || (touch ChangeLog; echo 'git directory not found: installing possibly empty changelog.' >&2)

check:
	@[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null || { echo "FAILURE: /sbin/lspci -i pci.ids"; exit 1; } && echo "OK: /sbin/lspci -i pci.ids"
	@./check-pci-ids.py || { echo "FAILURE: ./check-pci-ids.py"; exit 1; } && echo "OK: ./check-pci-ids.py"
	@echo -n "CHECK date of pci.ids: "; grep "Date:" pci.ids | cut -d ' ' -f 5
	@echo -n "CHECK date of usb.ids: "; grep "Date:" usb.ids | cut -d ' ' -f 6

create-archive:
	@rm -rf $(NAME)-$(VERSION) $(NAME)-$(VERSION).tar*  2>/dev/null
	@make changelog
	@git archive --format=tar --prefix=$(NAME)-$(VERSION)/ HEAD > $(NAME)-$(VERSION).tar
	@mkdir $(NAME)-$(VERSION)
	@cp ChangeLog $(NAME)-$(VERSION)/
	@tar --append -f $(NAME)-$(VERSION).tar $(NAME)-$(VERSION)
	@bzip2 -f $(NAME)-$(VERSION).tar
	@rm -rf $(NAME)-$(VERSION)
	@echo ""
	@echo "The final archive is in $(NAME)-$(VERSION).tar.bz2"

archive: check clean commit tag create-archive

upload:
	@scp ${NAME}-$(VERSION).tar.bz2 fedorahosted.org:$(NAME)

dummy:

srpm-x: create-archive
	@echo Creating $(NAME) src.rpm
	@rpmbuild --nodeps -bs --define "_sourcedir $(SOURCEDIR)" --define "_srcrpmdir $(SOURCEDIR)" $(NAME).spec
	@echo SRPM is: $(NAME)-$(VERSION)-$(RELEASE).src.rpm

clean:
	@rm -f $(NAME)-*.gz $(NAME)-*.src.rpm new-pnp.xlsx pnp.ids.txt

clog: hwdata.spec
	@sed -n '/^%changelog/,/^$$/{/^%/d;/^$$/d;s/%%/%/g;p}' $< | tee $@

download: new-usb-ids new-pci-ids new-oui.txt new-pnp-ids

new-usb-ids:
	@curl -O http://www.linux-usb.org/usb.ids

new-pci-ids:
	@curl -O http://pciids.sourceforge.net/pci.ids

new-oui.txt:
	@curl -O http://standards.ieee.org/develop/regauth/oui/oui.txt

new-pnp-ids: pnp.ids

pnp.ids: pnp.ids.txt pnp.ids.patch
	patch -o $@ <pnp.ids.patch

pnp.ids.txt: new-pnp.xlsx
	@unoconv --stdout -f csv $? | \
	    tr ' ' ' ' | \
	    sed -n \
		-e 's/^\s*"\s*\(.*\)\s*"/\1/' \
		-e 's/\s\{2,\}/ /g' \
		-e 's/\s*(used as 2nd pnpid)\s*//' \
		-e 's:^\(.*\)\s*,\s*\([a-zA-Z@]\{3\}\)\s*,\s*\([0-9]\+/[0-9]\+/[0-9]\+\):\2\t\1:p' | \
	    sed 's/\s*$$//' | sort -u >$@

new-pnp.xlsx:
	@curl -o $@ \
	    http://download.microsoft.com/download/7/E/7/7E7662CF-CBEA-470B-A97E-CE7CE0D98DC2/ISA_PNPID_List.xlsx

## hwdata 0.267

=== Makefile ===
--- 
+++ 
@@ -1,39 +1,51 @@
 NAME=hwdata
 VERSION=$(shell awk '/Version:/ { print $$2 }' hwdata.spec)
 RELEASE=$(shell rpm -q --define 'dist %{nil}' --specfile --qf "%{release}" hwdata.spec)
+ifeq ($(shell git rev-parse --abbrev-ref HEAD | sed -n 's/^\([^0-9-]\+\).*/\L\1/p'), rhel)
+    # add revision to tag name for rhel branches
+    TAGNAME := $(NAME)-$(VERSION)-$(RELEASE)
+else
+    TAGNAME := $(NAME)-$(VERSION)
+endif
 SOURCEDIR := $(shell pwd)
-
-include Makefile.inc
+ARCHIVE := $(TAGNAME).tar.bz2
 
 CVSROOT = $(shell cat CVS/Root 2>/dev/null || :)
 
 CVSTAG = $(NAME)-r$(subst .,-,$(VERSION))
 
-FILES = pci.ids usb.ids oui.txt pnp.ids
+FILES = pci.ids usb.ids oui.txt iab.txt pnp.ids
 
 .PHONY: all install tag force-tag check commit create-archive archive srpm-x \
-    clean clog new-pci-ids new-usb-ids new-pnp-ids
+    clean clog new-pci-ids new-usb-ids new-oui new-iab new-pnp-ids
 
-all: 
+include Makefile.inc
 
-install:
+all:
+
+Makefile.inc: configure
+	./configure
+	@echo "$@ generated. Run the make again."
+	@exit 1
+
+install: Makefile.inc
 	mkdir -p -m 755 $(DESTDIR)$(datadir)/$(NAME)
 	for foo in $(FILES) ; do \
 		install -m 644 $$foo $(DESTDIR)$(datadir)/$(NAME) ;\
 	done
-	mkdir -p -m 755 $(DESTDIR)$(prefix)/lib/modprobe.d
-	install -m 644 -T blacklist.conf $(DESTDIR)$(prefix)/lib/modprobe.d/dist-blacklist.conf
+	mkdir -p -m 755 $(DESTDIR)$(libdir)/modprobe.d
+	install -m 644 -T blacklist.conf $(DESTDIR)$(libdir)/modprobe.d/dist-blacklist.conf
 
 commit:
 	git commit -a ||:
 
 tag:
-	@git tag -a -m "Tag as $(NAME)-$(VERSION)-$(RELEASE)" $(NAME)-$(VERSION)-$(RELEASE)
-	@echo "Tagged as $(NAME)-$(VERSION)-$(RELEASE)"
+	@git tag -s -m "Tag as $(TAGNAME)" $(TAGNAME)
+	@echo "Tagged as $(TAGNAME)"
 
 force-tag:
-	@git tag -f $(NAME)-$(VERSION)-$(RELEASE)
-	@echo "Tag forced as $(NAME)-$(VERSION)-$(RELEASE)"
+	@git tag -s -f $(TAGNAME)
+	@echo "Tag forced as $(TAGNAME)"
 
 changelog:
 	@rm -f ChangeLog
@@ -46,21 +58,21 @@
 	@echo -n "CHECK date of usb.ids: "; grep "Date:" usb.ids | cut -d ' ' -f 6
 
 create-archive:
-	@rm -rf $(NAME)-$(VERSION) $(NAME)-$(VERSION).tar*  2>/dev/null
+	@rm -rf $(TAGNAME) $(TAGNAME).tar*  2>/dev/null
 	@make changelog
-	@git archive --format=tar --prefix=$(NAME)-$(VERSION)/ HEAD > $(NAME)-$(VERSION).tar
-	@mkdir $(NAME)-$(VERSION)
-	@cp ChangeLog $(NAME)-$(VERSION)/
-	@tar --append -f $(NAME)-$(VERSION).tar $(NAME)-$(VERSION)
-	@bzip2 -f $(NAME)-$(VERSION).tar
-	@rm -rf $(NAME)-$(VERSION)
+	@git archive --format=tar --prefix=$(TAGNAME)/ HEAD > $(TAGNAME).tar
+	@mkdir $(TAGNAME)
+	@cp ChangeLog $(TAGNAME)/
+	@tar --append -f $(TAGNAME).tar $(TAGNAME)
+	@bzip2 -f $(TAGNAME).tar
+	@rm -rf $(TAGNAME)
 	@echo ""
-	@echo "The final archive is in $(NAME)-$(VERSION).tar.bz2"
+	@echo "The final archive is in $(ARCHIVE)"
 
 archive: check clean commit tag create-archive
 
 upload:
-	@scp ${NAME}-$(VERSION).tar.bz2 fedorahosted.org:$(NAME)
+	@scp $(ARCHIVE) fedorahosted.org:$(NAME)
 
 dummy:
 
@@ -75,7 +87,7 @@
 clog: hwdata.spec
 	@sed -n '/^%changelog/,/^$$/{/^%/d;/^$$/d;s/%%/%/g;p}' $< | tee $@
 
-download: new-usb-ids new-pci-ids new-oui.txt new-pnp-ids
+download: new-usb-ids new-pci-ids new-oui new-iab new-pnp-ids
 
 new-usb-ids:
 	@curl -O http://www.linux-usb.org/usb.ids
@@ -83,8 +95,11 @@
 new-pci-ids:
 	@curl -O http://pciids.sourceforge.net/pci.ids
 
-new-oui.txt:
+new-oui:
 	@curl -O http://standards.ieee.org/develop/regauth/oui/oui.txt
+
+new-iab:
+	@curl -O http://standards.ieee.org/develop/regauth/iab/iab.txt
 
 new-pnp-ids: pnp.ids

## hwdata 0.290

=== Makefile ===
--- 
+++ 
@@ -14,10 +14,10 @@
 
 CVSTAG = $(NAME)-r$(subst .,-,$(VERSION))
 
-FILES = pci.ids usb.ids oui.txt iab.txt pnp.ids
+IDFILES = pci.ids usb.ids oui.txt iab.txt pnp.ids
 
 .PHONY: all install tag force-tag check commit create-archive archive srpm-x \
-    clean clog new-pci-ids new-usb-ids new-oui new-iab new-pnp-ids
+    clean clog download
 
 include Makefile.inc
 
@@ -30,21 +30,21 @@
 
 install: Makefile.inc
 	mkdir -p -m 755 $(DESTDIR)$(datadir)/$(NAME)
-	for foo in $(FILES) ; do \
+	for foo in $(IDFILES) ; do \
 		install -m 644 $$foo $(DESTDIR)$(datadir)/$(NAME) ;\
 	done
 	mkdir -p -m 755 $(DESTDIR)$(libdir)/modprobe.d
 	install -m 644 -T blacklist.conf $(DESTDIR)$(libdir)/modprobe.d/dist-blacklist.conf
 
 commit:
-	git commit -a ||:
+	git commit -vas ||:
 
 tag:
 	@git tag -s -m "Tag as $(TAGNAME)" $(TAGNAME)
 	@echo "Tagged as $(TAGNAME)"
 
 force-tag:
-	@git tag -s -f $(TAGNAME)
+	@git tag -s -f -m "Tag as $(TAGNAME)" $(TAGNAME)
 	@echo "Tag forced as $(TAGNAME)"
 
 changelog:
@@ -54,6 +54,16 @@
 check:
 	@[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null || { echo "FAILURE: /sbin/lspci -i pci.ids"; exit 1; } && echo "OK: /sbin/lspci -i pci.ids"
 	@./check-pci-ids.py || { echo "FAILURE: ./check-pci-ids.py"; exit 1; } && echo "OK: ./check-pci-ids.py"
+	@./check-usb-ids.sh
+	@for file in $(IDFILES); do \
+	    text=`LANG=C file $$file`; \
+	    expected="$$file: UTF-8 Unicode text"; \
+	    if [[ "$$text" != "$$expected" ]]; then \
+		printf "Expected: %s\n Got instead: %s\n" "$$expected" "$$text" >&2; \
+		exit 1; \
+	    fi; \
+	    echo "OK: $$text"; \
+	done
 	@echo -n "CHECK date of pci.ids: "; grep "Date:" pci.ids | cut -d ' ' -f 5
 	@echo -n "CHECK date of usb.ids: "; grep "Date:" usb.ids | cut -d ' ' -f 6
 
@@ -74,39 +84,49 @@
 upload:
 	@scp $(ARCHIVE) fedorahosted.org:$(NAME)
 
-dummy:
-
 srpm-x: create-archive
 	@echo Creating $(NAME) src.rpm
 	@rpmbuild --nodeps -bs --define "_sourcedir $(SOURCEDIR)" --define "_srcrpmdir $(SOURCEDIR)" $(NAME).spec
 	@echo SRPM is: $(NAME)-$(VERSION)-$(RELEASE).src.rpm
 
 clean:
-	@rm -f $(NAME)-*.gz $(NAME)-*.src.rpm new-pnp.xlsx pnp.ids.txt
+	@rm -f $(NAME)-*.gz $(NAME)-*.src.rpm pnp.ids.xlsx \
+	    *.downloaded *.utf8 *.orig
 
 clog: hwdata.spec
 	@sed -n '/^%changelog/,/^$$/{/^%/d;/^$$/d;s/%%/%/g;p}' $< | tee $@
 
-download: new-usb-ids new-pci-ids new-oui new-iab new-pnp-ids
+download: $(IDFILES)
 
-new-usb-ids:
-	@curl -O http://www.linux-usb.org/usb.ids
+usb.ids.downloaded:
+	@curl -o $@ http://www.linux-usb.org/usb.ids
 
-new-pci-ids:
-	@curl -O http://pciids.sourceforge.net/pci.ids
+pci.ids.downloaded:
+	@curl -o $@ https://raw.githubusercontent.com/pciutils/pciids/master/pci.ids
 
-new-oui:
-	@curl -O http://standards.ieee.org/develop/regauth/oui/oui.txt
+oui.txt.downloaded:
+	@curl -o $@ -O http://standards-oui.ieee.org/oui.txt
 
-new-iab:
-	@curl -O http://standards.ieee.org/develop/regauth/iab/iab.txt
+iab.txt.downloaded:
+	@curl -o $@ -O http://standards-oui.ieee.org/iab/iab.txt
 
-new-pnp-ids: pnp.ids
+pnp.ids.xlsx:
+	@curl -o $@ \
+	    http://download.microsoft.com/download/7/E/7/7E7662CF-CBEA-470B-A97E-CE7CE0D98DC2/ISA_PNPID_List.xlsx
 
-pnp.ids: pnp.ids.txt pnp.ids.patch
-	patch -o $@ <pnp.ids.patch
+usb.ids: usb.ids.utf8
+	dos2unix -n $? $@
 
-pnp.ids.txt: new-pnp.xlsx
+pci.ids: pci.ids.utf8
+	dos2unix -n $? $@
+
+oui.txt: oui.txt.utf8
+	dos2unix -n $? $@
+
+iab.txt: iab.txt.utf8
+	dos2unix -n $? $@
+
+pnp.ids.orig: pnp.ids.xlsx
 	@unoconv --stdout -f csv $? | \
 	    tr ' ' ' ' | \
 	    sed -n \
@@ -116,6 +136,15 @@
 		-e 's:^\(.*\)\s*,\s*\([a-zA-Z@]\{3\}\)\s*,\s*\([0-9]\+/[0-9]\+/[0-9]\+\):\2\t\1:p' | \
 	    sed 's/\s*$$//' | sort -u >$@
 
-new-pnp.xlsx:
-	@curl -o $@ \
-	    http://download.microsoft.com/download/7/E/7/7E7662CF-CBEA-470B-A97E-CE7CE0D98DC2/ISA_PNPID_List.xlsx
+pnp.ids: pnp.ids.orig pnp.ids.patch
+	patch -o $@ <pnp.ids.patch
+
+%.utf8: %.downloaded
+	@text=`LANG=C file $?`
+	@encoding=`echo "$$text" | sed -n 's/.*\(iso-8859\S\*\|cp1[12]\d\+\).*/\1/Ip'`
+	@if [[ -n "$$encoding" ]]; then \
+	    iconv -f "$$encoding" -t UTF-8 $?; \
+	else \
+	    cat $?; \
+	fi | sed 's/\s\+$$//' >$@
+

## hwdata 0.317

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
     # add revision to tag name for rhel branches
     TAGNAME := $(NAME)-$(VERSION)-$(RELEASE)
 else
-    TAGNAME := $(NAME)-$(VERSION)
+    TAGNAME := v$(VERSION)
 endif
 SOURCEDIR := $(shell pwd)
 ARCHIVE := $(TAGNAME).tar.bz2
@@ -15,6 +15,9 @@
 CVSTAG = $(NAME)-r$(subst .,-,$(VERSION))
 
 IDFILES = pci.ids usb.ids oui.txt iab.txt pnp.ids
+
+# usb.ids is not in UTF-8
+UTF_IDFILES = pci.ids oui.txt iab.txt pnp.ids
 
 .PHONY: all install tag force-tag check commit create-archive archive srpm-x \
     clean clog download
@@ -55,7 +58,7 @@
 	@[ -x /sbin/lspci ] && /sbin/lspci -i pci.ids > /dev/null || { echo "FAILURE: /sbin/lspci -i pci.ids"; exit 1; } && echo "OK: /sbin/lspci -i pci.ids"
 	@./check-pci-ids.py || { echo "FAILURE: ./check-pci-ids.py"; exit 1; } && echo "OK: ./check-pci-ids.py"
 	@./check-usb-ids.sh
-	@for file in $(IDFILES); do \
+	@for file in $(UTF_IDFILES); do \
 	    text=`LANG=C file $$file`; \
 	    expected="$$file: UTF-8 Unicode text"; \
 	    if [[ "$$text" != "$$expected" ]]; then \
@@ -79,7 +82,7 @@
 	@echo ""
 	@echo "The final archive is in $(ARCHIVE)"
 
-archive: check clean commit tag create-archive
+archive: check clean commit tag
 
 upload:
 	@scp $(ARCHIVE) fedorahosted.org:$(NAME)

## hwdata 0.333

=== debian/changelog ===
hwdata (0.333-1) unstable; urgency=medium

  * New upstream release: (Closes: #947191)
    - pnp.ids: update Goldstar to LG Electronics (Closes: #900005)

 -- Pino Toscano <pino@debian.org>  Thu, 12 Mar 2020 06:45:31 +0100

hwdata (0.290-2) unstable; urgency=medium

  * Take over the maintainership from Noël Köthe, with his permission.
    Thanks for maintaining hwdata so far!
  * Add the configuration for the CI on salsa.
  * Stop shipping, and installing, a ChangeLog file generated from the upstream
    Git repository, as it is not useful.
  * Move the installation of pnp.ids to a hwdata.install file, instead of
    copying it manually.
  * Move the symlinks creation to a hwdata.links file, instead of passing them
    as arguments of dh_link.
  * Stop patching usb.ids, as we do not ship it anyway.
  * Switch source format to "3.0 (quilt)".
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Rewrite rules to the dh sequencer, with no specific buildsystem.
  * Remove dirs file, as the right directories are automatically created.
  * Stop using the ${shlibs:Depends} substvar, as it does not exist in arch:all
    binaries.
  * Upstream moved to GitHub, so:
    - switch Homepage to https://github.com/vcrhonek/hwdata
    - switch watch file to GitHub tags
  * Add Vcs-* fields.
  * Remove README.build, as we do not ship usb.ids.
  * Remove trailing whitespaces in changelog.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Mark hwdata as Multi-Arch: foreign.
  * Set Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Fri, 06 Mar 2020 20:47:41 +0100

hwdata (0.290-1) unstable; urgency=medium

  * upstream release from 2016-06-22
  * debian/control updated Standard-Version: no changes needed

 -- Noël Köthe <noel@debian.org>  Sat, 02 Jul 2016 16:53:06 +0200

hwdata (0.267-1) unstable; urgency=medium

  * upstream release from 2014-06-16
  * debian/watch added
  * debian/control updated Standard-Version: no changes needed

 -- Noël Köthe <noel@debian.org>  Sun, 24 Aug 2014 01:19:05 +0200

hwdata (0.249-1) unstable; urgency=low

  * latest upstream release from 2013-06-20
    - upstream removed upgradelist, MonitorDB, videodrivers

 -- Noël Köthe <noel@debian.org>  Mon, 12 Aug 2013 14:36:31 +0200

hwdata (0.234-1) unstable; urgency=low

  * new upstream release from 2012-05-18
  * added patch from Martin Pitt <martin.pitt@ubuntu.com>
    which links the files usb.ids and pci.ids to the ones from the
    packages usbutils and pciutils where they are newer. Thanks a lot!
    closes: Bug#635302 and LP: #77929
  * debian/control added usbutils and pciutils dependecy
  * debian/control updated Standards-Version, no changes needed
  * removed debian/README.build because no need for updating usb.ids
    anymore

 -- Noël Köthe <noel@debian.org>  Sun, 08 Jul 2012 01:57:32 +0200

hwdata (0.233-1) unstable; urgency=low

  * new upstream version
  * updated usb.ids
  * updated Standards-Version
  * fixed lintian warning debian-rules-missing-recommended-target
  * debian/rules dh_clean -k -> dh_prep

 -- Noël Köthe <noel@debian.org>  Sun, 24 Jul 2011 10:46:26 +0200

hwdata (0.230-1) unstable; urgency=low

  * new upstream release from git
  * updated Standards-Version:, no changes needed
  * corrected homepage to git page

 -- Noèl Köthe <noel@debian.org>  Sun, 01 Aug 2010 00:53:58 +0200

hwdata (0.227-1) unstable; urgency=low

  * new upstream release 2010-02-23
    - it has the Dell monitors included. closes: Bug#538980
  * added pnp.ids to the package. closes: Bug#548647
  * raised Standards-Version: (no changes needed)
  * added Homepage: field

 -- Noèl Köthe <noel@debian.org>  Sun, 28 Feb 2010 21:03:03 +0100

hwdata (0.225-1) unstable; urgency=low

  * new upstream release from 2009-07-08
    - it carries a updated pci.ids which corrects
      the device 8086:4236. closes: Bug#518545
  * debian/compat debian/control raised debhelper to 5
  * debian/control updated Standards-Version: (no changes needed)
  * fixed lintian warning "binary-arch-rules-but-pkg-is-arch-indep"

 -- Noèl Köthe <noel@debian.org>  Fri, 24 Jul 2009 19:15:48 +0200

hwdata (0.220-1) unstable; urgency=low

  * new upstream from 2008-07-23
  * debian/control updated Standard-Version
  * debian/copyright
    - updated download location
    - lintian warning about Copyright
  * updated usb.ids to r1.368 (was r1.367)

 -- Noèl Köthe <noel@debian.org>  Sat, 09 Aug 2008 23:58:19 +0200

hwdata (0.200-1) unstable; urgency=low

  * new upstream from 2007-04-10
  * added Samsung monitor
    (closes: Bug#405457)
  * added LG and Mtek monitors
    (closes: Bug#409574)

 -- Noèl Köthe <noel@debian.org>  Sat, 19 May 2007 18:48:54 +0200

hwdata (0.199-1) unstable; urgency=low

  * new upstream from 2007-03-14
  * correct upstream download URL
    (closes: Bug#405450)

 -- Noèl Köthe <noel@debian.org>  Sun, 08 Apr 2007 10:51:24 +0200

hwdata (0.191-1) unstable; urgency=low

  * new upstream from 2006-10-09
  * added empty build target for policy;) (closes: Bug#395780)
    (thx Aurelien for noticing)
  * updated Standards-Version

 -- Noèl Köthe <noel@debian.org>  Sun, 19 Nov 2006 21:38:40 +0100

hwdata (0.177-1) unstable; urgency=low

  * new upstream from 2006-03-06
  * added video files to package (closes: Bug#350135)

 -- Noèl Köthe <noel@debian.org>  Fri, 17 Mar 2006 19:39:20 +0100

hwdata (0.172-1) unstable; urgency=low

  * new upstream from 2005-11-18

 -- Noèl Köthe <noel@debian.org>  Thu, 24 Nov 2005 20:50:12 +0100

hwdata (0.169-1) unstable; urgency=low

  * new upstream from 2005-09-09

 -- Noèl Köthe <noel@debian.org>  Mon, 17 Oct 2005 18:10:03 +0200

hwdata (0.159-1) unstable; urgency=low

  * new upstream from 2005-06-22
    (closes: Bug#276605)
  * fixed typo in description
    (closes: Bug#277224)
  * updated Standards-Version:
  * updated usb.ids from http://www.linux-usb.org/usb.ids



=== debian/control ===
Source: hwdata
Section: misc
Priority: optional
Maintainer: Pino Toscano <pino@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/vcrhonek/hwdata
Vcs-Browser: https://salsa.debian.org/pino/hwdata
Vcs-Git: https://salsa.debian.org/pino/hwdata.git

Package: hwdata
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, usbutils, pciutils
Description: hardware identification / configuration data
 This package contains various hardware identification and configuration data,
 such as the pci.ids database, or the XFree86/xorg Cards database.
 It is needed for the kudzu hardware detection.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=none

=== debian/watch ===
version=3
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%hwdata-$1.tar.gz%" \
https://github.com/vcrhonek/hwdata/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## hwdata 0.338

=== debian/changelog ===
hwdata (0.338-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Tue, 04 Aug 2020 17:08:14 +0200

hwdata (0.334-1) unstable; urgency=medium

  * New upstream release.
  * Explicitly depend on pci.ids, and usb.ids, so there is no problem in case
    pciutils, and usbutils remove their dependencies on them; also implement
    the first half of #944500.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Apr 2020 13:48:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Pino Toscano <pino@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/vcrhonek/hwdata
@@ -12,7 +12,7 @@
 Package: hwdata
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, usbutils, pciutils
+Depends: ${misc:Depends}, pci.ids, usb.ids, usbutils, pciutils
 Description: hardware identification / configuration data
  This package contains various hardware identification and configuration data,
  such as the pci.ids database, or the XFree86/xorg Cards database.

## hwdata 0.342

=== debian/changelog ===
hwdata (0.342-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Drop the usbutils, and pciutils dependencies, as they are not needed
    anymore. (Closes: #944500)

 -- Pino Toscano <pino@debian.org>  Tue, 01 Dec 2020 20:59:28 +0100

hwdata (0.341-1) unstable; urgency=medium

  * New upstream release.
  * Bump the version the watch file to 4, no changes required.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entries 0.87-1, 0.64-2.

 -- Pino Toscano <pino@debian.org>  Wed, 11 Nov 2020 16:16:15 +0100

## hwdata 0.343

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 RELEASE=$(shell rpm -q --define 'dist %{nil}' --specfile --qf "%{release}" hwdata.spec)
 ifeq ($(shell git rev-parse --abbrev-ref HEAD | sed -n 's/^\([^0-9-]\+\).*/\L\1/p'), rhel)
     # add revision to tag name for rhel branches
-    TAGNAME := $(NAME)-$(VERSION)-$(RELEASE)
+    TAGNAME := v$(VERSION)-$(RELEASE)
 else
     TAGNAME := v$(VERSION)
 endif
@@ -115,7 +115,7 @@
 
 pnp.ids.xlsx:
 	@curl -o $@ \
-	    http://download.microsoft.com/download/7/E/7/7E7662CF-CBEA-470B-A97E-CE7CE0D98DC2/ISA_PNPID_List.xlsx
+	    https://www.uefi.org/uefi-pnp-export
 
 usb.ids: usb.ids.utf8
 	dos2unix -n $? $@
@@ -130,17 +130,17 @@
 	dos2unix -n $? $@
 
 pnp.ids.orig: pnp.ids.xlsx
-	@unoconv --stdout -f csv $? | \
+	grep "class" $? | \
 	    tr ' ' ' ' | \
 	    sed -n \
-		-e 's/^\s*"\s*\(.*\)\s*"/\1/' \
-		-e 's/\s\{2,\}/ /g' \
-		-e 's/\s*(used as 2nd pnpid)\s*//' \
-		-e 's:^\(.*\)\s*,\s*\([a-zA-Z@]\{3\}\)\s*,\s*\([0-9]\+/[0-9]\+/[0-9]\+\):\2\t\1:p' | \
+	        -e 's/\s\{2,\}/ /g' \
+	        -e 's/\&amp;/\&/g' \
+	        -e "s/\&#039;/'/g" \
+	        -e 's:^.*<tr class=".*"><td>\(.*\)</td><td>\([a-zA-Z@]\{3\}\).*</td><td>.*$$:\2\t\1:p' | \
 	    sed 's/\s*$$//' | sort -u >$@
 
 pnp.ids: pnp.ids.orig pnp.ids.patch
-	patch -o $@ <pnp.ids.patch
+	patch -p1 -o $@ pnp.ids.orig pnp.ids.patch
 
 %.utf8: %.downloaded
 	@text=`LANG=C file $?`

## hwdata 0.344

=== Makefile ===
--- 
+++ 
@@ -108,7 +108,7 @@
 	@curl -o $@ https://raw.githubusercontent.com/pciutils/pciids/master/pci.ids
 
 oui.txt.downloaded:
-	@curl -o $@ -O http://standards-oui.ieee.org/oui.txt
+	@curl -o $@ -O http://standards-oui.ieee.org/oui/oui.txt
 
 iab.txt.downloaded:
 	@curl -o $@ -O http://standards-oui.ieee.org/iab/iab.txt

=== debian/changelog ===
hwdata (0.344-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Feb 2021 14:05:17 +0100

hwdata (0.343-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 08 Jan 2021 15:15:12 +0100

## hwdata 0.345

=== Makefile ===
--- 
+++ 
@@ -115,7 +115,7 @@
 
 pnp.ids.xlsx:
 	@curl -o $@ \
-	    https://www.uefi.org/uefi-pnp-export
+	    https://uefi.org/uefi-pnp-export
 
 usb.ids: usb.ids.utf8
 	dos2unix -n $? $@

=== debian/changelog ===
hwdata (0.345-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 01 Mar 2021 12:15:15 +0100

=== debian/control ===
Source: hwdata
Section: misc
Priority: optional
Maintainer: Pino Toscano <pino@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/vcrhonek/hwdata
Vcs-Browser: https://salsa.debian.org/pino/hwdata
Vcs-Git: https://salsa.debian.org/pino/hwdata.git

Package: hwdata
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, pci.ids, usb.ids
Description: hardware identification / configuration data
 This package contains various hardware identification and configuration data,
 such as the pci.ids database, or the XFree86/xorg Cards database.
 It is needed for the kudzu hardware detection.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%hwdata-$1.tar.gz%" \
https://github.com/vcrhonek/hwdata/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## hwdata 0.357

=== debian/changelog ===
hwdata (0.357-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Mar 2022 21:07:42 +0100

hwdata (0.355-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Jan 2022 14:15:02 +0100

hwdata (0.354-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Dec 2021 21:12:04 +0100

hwdata (0.352-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Oct 2021 08:10:14 +0200

hwdata (0.351-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Sep 2021 06:50:19 +0200

hwdata (0.350-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Aug 2021 10:45:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Pino Toscano <pino@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/vcrhonek/hwdata
 Vcs-Browser: https://salsa.debian.org/pino/hwdata

## hwdata 0.361

=== debian/changelog ===
hwdata (0.361-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jul 2022 05:22:44 +0200

hwdata (0.359-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 03 May 2022 07:36:43 +0200

## hwdata 0.363

=== debian/changelog ===
hwdata (0.363-1) unstable; urgency=medium

  * New upstream release.
  * Pass --disable-blacklist to configure, so the dist-blacklist.conf file is
    not installed anymore
    - drop its entry from debian/not-installed

 -- Pino Toscano <pino@debian.org>  Wed, 05 Oct 2022 22:13:49 +0200

hwdata (0.362-1) unstable; urgency=medium

  * New upstream release.
  * Use the upstream buildsystem to configure and install things, however
    ship only the files already currently shipped; this way it will be easier
    to ship more files provided by upstream without manually handling them
    - stop forcing no buildsystem for dh, letting it do an autoconf-like
      behaviour
    - create a dummy Makefile.inc before cleaning, so it works (as Makefile
      includes it); removed it anyway, as it is generated by configure
    - install to debian/tmp, so we can select from it what to ship
    - tweak hwdata.install to pick pnp.ids, and hwdata.pc as installed
    - add debian/not-installed that lists all the other files that we do not
      currently ship
    - disable the test suite, as it tests only things we do not ship

 -- Pino Toscano <pino@debian.org>  Sat, 10 Sep 2022 18:05:51 +0200

## hwdata 0.365

=== debian/changelog ===
hwdata (0.365-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 02 Dec 2022 20:31:41 +0100

hwdata (0.364-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 07 Nov 2022 07:42:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Pino Toscano <pino@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/vcrhonek/hwdata
 Vcs-Browser: https://salsa.debian.org/pino/hwdata

## hwdata 0.367

=== debian/changelog ===
hwdata (0.367-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Feb 2023 21:40:16 +0100

hwdata (0.366-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Thu, 05 Jan 2023 08:45:33 +0100
